package com.goldenwater.slgc.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.goldenwater.slgc.domain.AttIrrBase;
import com.goldenwater.slgc.mapper.AttIrrBaseMapper;
import com.goldenwater.slgc.service.IrrService;

/** 灌区信息 业务实现 */
@Service
public class IrrServiceImpl implements IrrService {
    @Autowired
    private AttIrrBaseMapper attIrrBaseMapper;

    @Override
    public List<AttIrrBase> selectAttIrrBaseList(AttIrrBase attIrrBase) {
        return attIrrBaseMapper.selectAttIrrBaseList(attIrrBase);
    }

    @Override
    public AttIrrBase selectAttIrrBaseById(String irrCode) {
        return attIrrBaseMapper.selectAttIrrBaseById(irrCode);
    }

    @Override
    public int deleteAttIrrBaseByIds(String[] irrCodes) {
        return attIrrBaseMapper.deleteAttIrrBaseByIds(irrCodes);
    }

    @Override
    public int insertAttIrrBase(AttIrrBase attIrrBase) {
        return attIrrBaseMapper.insertAttIrrBase(attIrrBase);
    }

    @Override
    public int updateAttIrrBase(AttIrrBase attIrrBase) {
        return attIrrBaseMapper.updateAttIrrBase(attIrrBase);
    }
}
